using System.ComponentModel.DataAnnotations;

namespace GestionIntegral.Api.Dtos.Distribucion
{
    public class UpdateOtroDestinoDto
    {
        [Required(ErrorMessage = "El nombre del destino es obligatorio.")]
        [StringLength(100, ErrorMessage = "El nombre no puede exceder los 100 caracteres.")]
        public string Nombre { get; set; } = string.Empty;

        [StringLength(250, ErrorMessage = "La observación no puede exceder los 250 caracteres.")]
        public string? Obs { get; set; }
    }
}